# sockaddr_in Struct Reference

`#include <sockets.h>`

## Data Fields

uInt8 | sin_len
uInt8 | sin_family
uInt16 | sin_port
in_addr | sin_addr
char | sin_zero [8]

## Field Documentation

struct in_addr sockaddr_in::sin_addr

uInt8 sockaddr_in::sin_family

uInt8 sockaddr_in::sin_len

uInt16 sockaddr_in::sin_port

char sockaddr_in::sin_zero[8]

The documentation for this struct was generated from the following file:

- sockets.h